package com.template.services;

import com.template.model.pojo.AlumniNews;
import com.template.model.pojo.AlumniNews;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-12-02
 */
public interface AlumniNewsService extends IService<AlumniNews> {
    int insertAlumniNews(AlumniNews au);

    int updateAlumniNews(AlumniNews au);

    AlumniNews queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<AlumniNews> queryPageList(int currentPage, int pageCount,String theme,String userName, String startTime, String endTime);

    PageUtils<AlumniNews> queryPageByCategoryId(int currentPage, int pageCount,Integer categoryId);
}
